Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class ANSI.Code

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI.Code

Enclosing class:
  ANSI

    public static class ANSI.Code

extends Object

Field Summary
`static int` | `BG_BLACK`
`static int` | `BG_BLUE`
`static int` | `BG_CYAN`
`static int` | `BG_GREEN`
`static int` | `BG_MAGENTA`
`static int` | `BG_RED`
`static int` | `BG_WHITE`
`static int` | `BG_YELLOW`
`static int` | `BLACK`
`static int` | `BLINK`
`static int` | `BLUE`
`static int` | `BOLD`
`static int` | `CONCEALED`
`static int` | `CYAN`
`static int` | `FG_BLACK`
`static int` | `FG_BLUE`
`static int` | `FG_CYAN`
`static int` | `FG_GREEN`
`static int` | `FG_MAGENTA`
`static int` | `FG_RED`
`static int` | `FG_WHITE`
`static int` | `FG_YELLOW`
`static int` | `GREEN`
`static int` | `MAGENTA`
`static int` | `OFF`
`static int` | `RED`
`static int` | `REVERSE`
`static int` | `UNDERSCORE`
`static int` | `WHITE`
`static int` | `YELLOW`

Constructor Summary
`ANSI.Code()`

Method Summary
`static int` | `forName(String name)` Returns the ANSI code for the given symbolic name.
`static String` | `name(int code)` Returns the symbolic name for the given ANSI code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OFF

    public static final int OFF

See Also:
  Constant Field Values

### BOLD

    public static final int BOLD

See Also:
  Constant Field Values

### UNDERSCORE

    public static final int UNDERSCORE

See Also:
  Constant Field Values

### BLINK

    public static final int BLINK

See Also:
  Constant Field Values

### REVERSE

    public static final int REVERSE

See Also:
  Constant Field Values

### CONCEALED

    public static final int CONCEALED

See Also:
  Constant Field Values

### FG_BLACK

    public static final int FG_BLACK

See Also:
  Constant Field Values

### FG_RED

    public static final int FG_RED

See Also:
  Constant Field Values

### FG_GREEN

    public static final int FG_GREEN

See Also:
  Constant Field Values

### FG_YELLOW

    public static final int FG_YELLOW

See Also:
  Constant Field Values

### FG_BLUE

    public static final int FG_BLUE

See Also:
  Constant Field Values

### FG_MAGENTA

    public static final int FG_MAGENTA

See Also:
  Constant Field Values

### FG_CYAN

    public static final int FG_CYAN

See Also:
  Constant Field Values

### FG_WHITE

    public static final int FG_WHITE

See Also:
  Constant Field Values

### BLACK

    public static final int BLACK

See Also:
  Constant Field Values

### RED

    public static final int RED

See Also:
  Constant Field Values

### GREEN

    public static final int GREEN

See Also:
  Constant Field Values

### YELLOW

    public static final int YELLOW

See Also:
  Constant Field Values

### BLUE

    public static final int BLUE

See Also:
  Constant Field Values

### MAGENTA

    public static final int MAGENTA

See Also:
  Constant Field Values

### CYAN

    public static final int CYAN

See Also:
  Constant Field Values

### WHITE

    public static final int WHITE

See Also:
  Constant Field Values

### BG_BLACK

    public static final int BG_BLACK

See Also:
  Constant Field Values

### BG_RED

    public static final int BG_RED

See Also:
  Constant Field Values

### BG_GREEN

    public static final int BG_GREEN

See Also:
  Constant Field Values

### BG_YELLOW

    public static final int BG_YELLOW

See Also:
  Constant Field Values

### BG_BLUE

    public static final int BG_BLUE

See Also:
  Constant Field Values

### BG_MAGENTA

    public static final int BG_MAGENTA

See Also:
  Constant Field Values

### BG_CYAN

    public static final int BG_CYAN

See Also:
  Constant Field Values

### BG_WHITE

    public static final int BG_WHITE

See Also:
  Constant Field Values

Constructor Detail

### ANSI.Code

    public ANSI.Code()

Method Detail

### forName

    public static int forName(String name)
                       throws IllegalArgumentException

  Returns the ANSI code for the given symbolic name. Supported symbolic names are all defined as fields in `ANSI.Code` where the case is not significant.

  Throws:
    `IllegalArgumentException`

### name

    public static String name(int code)
                       throws IllegalArgumentException

  Returns the symbolic name for the given ANSI code.

  Throws:
    `IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD